#!/bin/sh
#
# Set up a chdist instance for the given architecture and release.
#
set -e

arch=${1:-armel}
release=${2:-maverick}
dir=~/.chdist/$release-$arch
apt=$dir/etc/apt

chdist -a $arch create $release-$arch
echo deb http://ports.ubuntu.com/ $release main restricted universe > $apt/sources.list

if [ ! -z $http_proxy ]; then
	echo Acquire::http::Proxy \"$http_proxy\"\; >> $apt/apt.conf
fi

chdist apt-get $release-$arch update
